Lessico IT › Reti › RFC 1036

RFC 1036

Reti Svenska → Aggiornato: 2026-10-05

La specifica del 1987 che descrive l'aspetto di un articolo Usenet e il modo in cui i server se lo scambiano.

La scrissero Mary Ann Horton e Rick Adams per sostituire l'RFC 850 del 1983. Lo scheletro veniva dall'RFC 822 della posta elettronica: un blocco di header, una riga vuota, poi il corpo. Su questa base Usenet aggiunse header obbligatori propri: Newsgroups per la destinazione dell'articolo, Path per il percorso già compiuto e Message-ID come chiave univoca, perché nessun server accettasse due volte lo stesso articolo.

Definiva anche messaggi di controllo come newgroup e cancel, ed è qui che emersero i punti deboli: chiunque poteva inviarli e la specifica non diceva nulla su come un server dovesse verificare che il mittente ne avesse il diritto. L'RFC 1036 restò in vigore per oltre vent'anni, finché nel 2009 fu sostituito dagli RFC 5536 e 5537.

← Torna al lessico